<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fixed_point (deprecated): Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fixed_point (deprecated)
   &#160;<span id="projectnumber">rev.2</span>
   </div>
   <div id="projectbrief">Binary Fixed-Point Arithmetic Library in C++</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>elastic_integer()
: <a class="el" href="classsg14_1_1elastic__integer.html#ad3964a555505969e4a58d90841ce6f2b">sg14::elastic_integer&lt; Digits, Narrowest &gt;</a>
</li>
<li>fixed_point()
: <a class="el" href="classsg14_1_1fixed__point.html#addb1074e07a3b0d738c793ba47676152">sg14::fixed_point&lt; Rep, Exponent &gt;</a>
</li>
<li>from_data()
: <a class="el" href="classsg14_1_1fixed__point.html#a17465c19e2e4aac2ec62f4bd3bee4541">sg14::fixed_point&lt; Rep, Exponent &gt;</a>
</li>
<li>operator S()
: <a class="el" href="classsg14_1_1elastic__integer.html#a398961aa9a7a64b109a6de9134e9f320">sg14::elastic_integer&lt; Digits, Narrowest &gt;</a>
, <a class="el" href="classsg14_1_1fixed__point.html#a0d44142820943030ba0a8bc748742846">sg14::fixed_point&lt; Rep, Exponent &gt;</a>
</li>
<li>operator typename std::enable_if&lt; std::is_convertible&lt; Rep, bool &gt;::value, bool &gt;()
: <a class="el" href="classsg14_1_1fixed__point.html#a43d1637ff121db0151b725be26061cb7">sg14::fixed_point&lt; Rep, Exponent &gt;</a>
</li>
<li>operator=()
: <a class="el" href="classsg14_1_1elastic__integer.html#a4140f855848ca5466cf33dbf35c6e9cb">sg14::elastic_integer&lt; Digits, Narrowest &gt;</a>
, <a class="el" href="classsg14_1_1fixed__point.html#a6b0dd66ac124a2ea1dc7bd8c99e213c0">sg14::fixed_point&lt; Rep, Exponent &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
